---
title: Welcome
overview: Istio documentation home page.
index: true

order: 0

layout: welcome
type: markdown
---
{% include home.html %}

# Welcome to Istio

Welcome to Istio's latest documentation home page. From here you can learn all about Istio by following
the links below:

- [Concepts]({{home}}/docs/concepts/). Concepts explain some significant aspect of Istio. This
is where you can learn about what Istio does and how it does it.

- [Setup]({{home}}/docs/setup/). Setup contains instructions for installing
  the Istio control plane in various environments (e.g., Kubernetes, Consul,
  etc.), as well as instructions for installing the sidecar in the
  application deployment.
  Jump directly to [downloading and installing](https://istio.io/docs/setup/kubernetes/quick-start.html) Istio for Kubernetes,
  if it is your platform of choice.

- [Tasks]({{home}}/docs/tasks/). Tasks show you how to do a single directed activity with Istio.

- [Guides]({{home}}/docs/guides/). Guides are fully working stand-alone examples
intended to highlight a particular set of Istio's features.

- [Reference]({{home}}/docs/reference/). Detailed exhaustive lists of
command-line options, configuration options, API definitions, and procedures.

We're always looking for help improving our documentation, so please don't hesitate to
[file an issue](https://github.com/istio/istio.github.io/issues/new) if you see some problem.
Or better yet, submit your own [contributions]({{home}}/docs/reference/contribute/editing.html) to help
make our docs better.

Follow this link for the archive of [v0.1 documentation](https://istio.io/v-0.1/docs/).
