---
title: Roadmap
overview: What Istio will become in the coming months.

order: 60

layout: docs
type: markdown
---

## Istio 0.2

Istio 0.2 will be our second release, and will work across multiple Kubernetes clusters and some basic hybrid deployments. Istio 0.2 is focused on expanding the coverage of Istio to more places, and making it easier for users and vendors to integrate into the system. Istio 0.2 will include the following features:
- TCP telemetry collection and policy enforcement.
- Support for VMs joining an Istio Mesh.
- Fully-automated injection of Envoy proxies into Kubernetes pods.
- Standard extension points for addons and plugins.
- Expanded authorization with callouts to external services.
- Mixer request tracing with Zipkin.
- Additional logging and analysis plugins.
- Cluster-wide rate limiting.
- Basic API management features.
- Configuration rollout and management.
- Configuration and policy enforcement APIs.
- Improved system stability and performance.

## Istio 0.3

Istio 0.3 will be our third release, focused on performance, scale, and stability. The full feature set for 0.3 is still TBD, based on feedback from the community. Some of the additional features we are considering include:
- Support for multiple clusters in a single mesh.
- Support for Istio meshes without Kubernetes.
- Client-oriented telemetry collection and distribution.
- Global load balancing with autoscaling.
- Support for the Open Service Broker APIs.
- Pluggable identity provisioning system to support custom CA (Vault) and custom-defined identity.
- Additional API Management functionality.

Please get in touch if there are additional features you'd like to see in our future releases!
